import { _decorator, assetManager, Component, director, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('main')
export class main extends Component {
    start() {
        this.node.getChildByPath(`SpriteSplash`).on(Node.EventType.TOUCH_END, () => {
            assetManager.loadBundle('game0', (err, bundle) => {
                if (err) {
                    console.log(err);
                } else {
                    assetManager.loadBundle('game1', (err, bundle) => {
                        if (err) {
                            console.log(err);
                        } else {
                            bundle.loadScene(`game1`, (err, scene) => {
                                if (err) {
                                    console.log(err);
                                } else {
                                    director.runScene(scene);
                                }
                            });
                        }
                    });
                }
            });
        });
    }
}
